Summary: Library for H323 spec.
Name: openh323
Version: 1.8.0
Release: 3
URL: http://www.openh323.org/
Source0: %{name}_%{version}.tar.gz
Patch0: openh323-1.7.4-makefiles2.patch
Patch1: openh323-nosamples.patch
Patch2: openh323-1.8.0-IHATEYOU.patch
Patch3: openh323-1.8.0-libname.patch
Patch4: openh323-1.8.0-timeout.patch
License: MPL
Group: System Environment/Libraries
Requires: pwlib >= 1.2.12-2
BuildRequires: pwlib-devel >= 1.2.12-2
BuildRequires: XFree86-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
Implementation of the ITU H.323 teleconferencing protocol.

%package devel
Summary: Development package for openh323
Group: Development/Libraries
Requires: openh323 = %{PACKAGE_VERSION}
%description devel
Static libraries and header files for development with openh323.

%prep
%setup -q -n openh323
%patch0 -p1 -b .makefiles  
%patch1 -p1 -b .nosamples
%patch2 -p1 -b .hate
%patch3 -p1 -b .libname
%patch4 -p1 -b .timeout

%build
(mkdir pwlibdir; cd pwlibdir;
ln -s %{_prefix}/share/pwlib/make make
ln -s %{_prefix}/share share
ln -s %{_prefix}/include include
ln -s %{_prefix}/lib lib
mkdir -p tools
ln -s %{_prefix}/bin tools/asnparser
ln -s %{_prefix}/bin bin
)
export PWLIBDIR=%{_builddir}/openh323/pwlibdir
export OPENH323DIR=%{_builddir}/openh323
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/openh323,%{_bindir},%{_datadir}/misc}

cp -d lib/lib* $RPM_BUILD_ROOT%{_libdir}
install include/*.h $RPM_BUILD_ROOT%{_includedir}/openh323

sed -e's@\$(OPENH323DIR)/include@&/openh323@' < openh323u.mak \
	> $RPM_BUILD_ROOT%{_datadir}/misc/openh323u.mak

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc Readme.txt mpl-1.0.htm
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/misc/*

%changelog
* Fri Mar 22 2002 Alex Larsson <alexl@redhat.com>
- Add versioned dependency on main package in devel package
- Fix to long line in desctiption

* Fri Mar  8 2002 Alex Larsson <alexl@redhat.com>
- Bump version to rebuild against new pwlib

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.8.0

* Wed Sep 28 2001 Alex Larsson <alexl@redhat.com> 1.6.1-3
- made the devel package require the binary package

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.6.0-2
- Changed libname to liboh323

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.6.0-1
- Upgraded to 1.6.0

* Thu Jul  5 2001 Elliot Lee <sopwith@redhat.com> 1.5.5-3
- Remove PLATFORM_TYPE from libname

* Wed Jul  4 2001 Elliot Lee <sopwith@redhat.com> 1.5.5-2
- More fixups. The patch is not named IHATEYOU because of a loving relationship...

* Wed Jul  4 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.
